=== modified file 'commit.py'
--- commit.py	2012-02-17 15:03:17 +0000
+++ commit.py	2012-02-29 14:04:24 +0000
@@ -288,7 +288,12 @@
             self._check_local.hide()
             return
         if have_dbus:
-            bus = dbus.SystemBus()
+            try:
+                bus = dbus.SystemBus()
+            except dbus.DBusException:
+                trace.mutter("DBus system bus not available")
+                self._check_local.show()
+                return
             try:
                 proxy_obj = bus.get_object('org.freedesktop.NetworkManager',
                                            '/org/freedesktop/NetworkManager')

